#from __future__ import unicode_literals
# -*- coding: utf-8 -*-
from __future__ import division
from PyQt4.QtGui import QColor

        
class Terrain():
    """terrain a affecter a une case"""
    def __init__(self, parent=None):
        self.id = None
        self.nom = ""                #libelle a afficher dans la liste 
        self.couleur = QColor("")    #couleur si pas de texture
        self.imgTexture = ""         #image source de la texture
        self.franchissable = True    #peut on franchir cette case
        self.visibilite = True       #peut on voir au travers 
        self.modDeplacement = 1.00   #modificateur a appliquer au deplacement

    def icone(self):
        """renvoie l'image a afficher dans les listes"""
        return self.imgTexture
